Function
countGaps
Count blanks at a specific position in a gapped sequence.
Size countGaps(gapped_sequence, view_position)
Include Headers
seqan/align.h
Parameters

gapped_sequence | A gapped sequence. Types: Gaps
view_position | The view position at which gapped_sequence is tested.

Remarks
If there is no gap at position view_position, the function returns 0.
If view_position ≥ endPosition $(gapped_sequence), the function returns 0.
Return Values
Number of consecutive gaps in gapped_sequence starting at position view_position.
Metafunctions: Size
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46